Subject: Re: On separating code and text

From: [email-masked]
Date: Mon, 12 Dec 2005 16:23:53 +0000

Simon

 -------------- Original message ----------------------
From: Simon Josefsson <[email-masked]>
> John C Klensin <[email-masked]> writes:
> 
> > In at least some contexts, it is clear that we are confusing two
> > separate roles of standards-track RFCs.  One of them, the
> > classic version, is to describe, define, and document a
> > standard.  As such, they are expressions of that standard and
> > all of my prior note applies.   But they often also contain
> > pieces of syntax -- ABNF, ASN.1, specific MIB definitions, XML
> > schema, etc. -- that people expect to extract directly into code
> > and process.
> >
> > At least as a way of helping us to think about this, let's
> > separate the two (noting that we have done some of that in the
> > past).
> 
> It seems I will have to discuss this issue in my draft too.
> 
> I don't believe this separation will solve all problems.  It would not
> solve the following problems:
> 
> * Excerpts from RFCs included in source code comments.  This is a
>   common example, many free IETF implementations embed excerpts from
>   the RFC text in source code comments.

This violates the use rules for RFC's since there is NO possible method for those users to provide feedback and that is the only grounds for which they could be given an RFC no matter what the license has to say at this time.

> 
> * Teaching material derived from RFC texts.  University teacher may
>   want to modify RFCs to illustrate a point and as an implementation
>   exercises, and include the resulting work in freely available online
>   course material.

Big deal - he or she cannot - RFC's are informational drafts for the purpose of creating commentary to the IETF for its standards process and nothing more. Sorry  -  the document's title is "Request for Comments" and not "hey bozo - use me for free"...

> 
> * Documentation for IETF implementations.  Both FreeBSD and Sun has
>   shipped a getaddrinfo man page that is derived from the RFC.  

This is a very serious legal problem since it violates the use licensing and atop that, documents the IETF's failure in its responsibilities to stop people from using IP against the rules.

>   I
>   believe being able to inherit that text from the RFC helped getting
>   getaddrinfo implemented and utilized.  If implementations are not
>   permitted to do this, adoption of IETF protocols will likely be
>   slower.  If we believe the IETF is producing standards that, if
>   adopted, would benefit the IETF, I believe we should make sure they
>   can be implemented as fast and as widely as possible.

The IETF is not produicing standards but rather allowing people to reference RFC's as though they were standards, and this breaches the IP protection requirements of the agreement with the submitters in re the intent of the submission.

> 
> There may be other problems as well, that would only be revealed if
> someone wrote a document describing your approach in more details.
> 
> Thanks,
> Simon
> 
> _______________________________________________
> Ipr-wg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ipr-wg

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg